"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../lib/util");
const errors_1 = require("../lib/errors");
const blame_setting_1 = __importDefault(require("../lib/blame_setting"));
const blameController = (db, service, urlPrefix) => {
    service.app.get(`${urlPrefix}/:universeName/:projectName/blame`, service.identityManager.authenticateRequest(), util_1.accessCheck(service), util_1.adminCheck(service), util_1.asyncWrapper(async (req, res, _next) => {
        const token = util_1.getCoronerToken(service, req);
        if (!token) {
            return res
                .status(401)
                .send(errors_1.getError(12, "Please provide a coroner token"));
        }
        const { projectName, universeName } = req.params;
        const coronerUrl = await util_1.getCoronerUrl(universeName, db, service, req);
        await blame_setting_1.default({
            coronerUrl,
            token,
            universe: universeName,
            project: projectName,
            db,
        });
        res.status(200).send();
    }));
};
exports.default = blameController;
//# sourceMappingURL=blame.js.map