"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const knexfile_cachedb_1 = __importDefault(require("../../knexfile_cachedb"));
const knex = require("knex");
const db = knex(knexfile_cachedb_1.default);
const { BacktraceService, Logger } = require("backtrace-service");
const log = Logger.getLogger();
async function set(item) {
    try {
        return await db("cache").insert(item).onConflict("ckey").merge();
    }
    catch (e) {
        return log.warn("unable to set in cache: " + e);
    }
}
async function get(whereObj) {
    let rez = await db("cache").first("*").where(whereObj);
    if (rez === undefined)
        rez = null;
    return rez;
}
async function clearCache() {
    return await db("cache").del();
}
async function getAll(whereObj) {
    return await db("cache").select("*").where(whereObj);
}
exports.default = { db, set, get, getAll, clearCache };
//# sourceMappingURL=cache.js.map