"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class DoNotUseList {
    constructor() {
        this.list = [];
    }
    push(item) {
        this.list.push(item);
    }
    getEntryRaw(repoId) {
        const filtered = this.list.filter((item) => item.repoId === repoId);
        if (filtered.length > 0) {
            return filtered[0];
        }
        else {
            return null;
        }
    }
    getEntry(repoId) {
        const entry = this.getEntryRaw(repoId);
        if (entry === null) {
            return null;
        }
        else {
            return Object.assign(Object.assign({}, entry), { reason: DoNotUseList.friendlyReason(entry.reason) });
        }
    }
    ids() {
        return this.list.map((item) => item.repoId);
    }
    static friendlyReason(reason) {
        if (reason === "missingRepo") {
            return "Rule refers to a repository which no longer exists";
        }
        else if (reason === "fileNotFound") {
            return "File not found";
        }
        else if (reason === "ruleSkip") {
            return "Skipped due to matching rule stating to skip this repository";
        }
    }
}
exports.default = DoNotUseList;
//# sourceMappingURL=do_not_use_list.js.map