"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.unknownError = exports.getError = exports.errors = void 0;
const errors = {
    [0]: "file_not_found",
    [1]: "missing_commit_rules",
    [2]: "missing_param",
    [3]: "unknown_error",
    [4]: "rule_not_found",
    [5]: "repository_not_found",
    [6]: "cannot_determine_commit_or_tag",
    [7]: "unique_constraint",
    [8]: "commit_rule_not_found",
    [9]: "position_not_specified",
    [10]: "commit_not_found",
    [11]: "revspec_not_found",
    [12]: "missing_token",
    [13]: "perforce_connect_timeout",
    [14]: "perforce_unable_to_connect",
    [15]: "perforce_operation_timedout",
    [16]: "perforce_missing_parameter",
    [17]: "perforce_client_not_found",
    [18]: "archive_not_found",
    [19]: "archive_tag_exists",
    [20]: "archive_missing_secret",
    [21]: "archive_secret_invalid",
    [22]: "unknown_archive_format",
};
exports.errors = errors;
const getError = (errno, msg) => {
    const obj = {
        error_number: errno,
        error_name: errors[errno],
        error_message: null,
    };
    if (msg) {
        obj.error_message = msg;
    }
    return obj;
};
exports.getError = getError;
const unknownError = (msg) => getError(3, msg);
exports.unknownError = unknownError;
//# sourceMappingURL=errors.js.map