"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.calcScore = void 0;
const forwardOrBackslashRegex = /\/|\\/;
function calcScore(targetPath, candidatePath) {
    const splitCandidate = candidatePath.split(forwardOrBackslashRegex);
    const splitTarget = targetPath.split(forwardOrBackslashRegex);
    let score = 0;
    const overlap = Math.min(splitCandidate.length, splitTarget.length);
    for (let j = 0; j < overlap; j++) {
        const a = splitCandidate[splitCandidate.length - 1 - j];
        const b = splitTarget[splitTarget.length - 1 - j];
        if (a === b) {
            score++;
        }
        else {
            break;
        }
    }
    return score;
}
exports.calcScore = calcScore;
//# sourceMappingURL=filepath_matching.js.map