"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initServiceForCLI = void 0;
const backtrace_service_1 = require("backtrace-service");
const util_1 = require("./util");
const name = "sourcecode";
const port = 6451;
function initService() {
    const service = util_1.isStandalone
        ? util_1.getStandaloneService({ name, port })
        : backtrace_service_1.BacktraceService.bootstrap(name, port);
    global.service = service;
    const log = backtrace_service_1.Logger.getLogger();
    global.log = log;
    return { log, service, name, port };
}
function initServiceForCLI() {
    const logger = new backtrace_service_1.Logger("error");
    const service = new backtrace_service_1.BacktraceService(name, port, {
        logger,
    });
    global.service = service;
    global.log = logger;
    return { log: logger, service, name, port };
}
exports.initServiceForCLI = initServiceForCLI;
exports.default = initService;
//# sourceMappingURL=service.js.map