"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const db_1 = __importDefault(require("../src/lib/db"));
const git_routines_1 = require("../src/lib/git_routines");
const NODE_ENV = process.env.NODE_ENV;
if (NODE_ENV !== "production" && NODE_ENV !== "development") {
    console.error("Please set NODE_ENV to production or development");
    process.exit(-1);
}
const ID = process.argv[2];
if (ID === undefined) {
    console.error("Please provide a repository ID as the first argument.");
    process.exit(-1);
}
(async function () {
    const dbRepo = await db_1.default("repositories").first("*").where("id", ID);
    if (!dbRepo)
        throw new Error(`Repo ${ID} not found in database.`);
    await git_routines_1.gitCloneExn(dbRepo);
    console.log("Successfully cloned repo " + ID);
    process.exit(0);
})();
//# sourceMappingURL=clone_repo.js.map