exports.up = function(knex) {
  return knex.schema.createTable('commit_rules', function(t) {
    t.increments('id')
      .unsigned()
      .primary()
      .defaultTo(1);
    t.integer('position').unsigned().notNullable();
    t.integer('repository_id').unsigned().notNullable();
    t.foreign('repository_id').references('id').inTable('repositories');
    t.string('attribute_template').notNullable();
    t.timestamps(false, true);
  });
};

exports.down = function(knex) {
  return knex.schema.dropTable('commit_rules');
};
