
exports.up = function(knex) {
  return knex.schema.createTable('perforce_paths', function(t) {
    t.increments('id')
      .unsigned()
      .primary()
      .defaultTo(1);
    t.integer('position').unsigned();
    t.string('path').notNullable();
    t.integer('perforce_server_id').unsigned().notNullable();
    t.foreign('perforce_server_id').references('id').inTable('perforce_servers');
  });
};

exports.down = function(knex) {
  return knex.schema.dropTable('perforce_paths');
};
