exports.up = function(knex) {
    return knex.schema.createTable("perforce_rules", function(t) {
        t.increments("id").unsigned().primary().defaultTo(1);
        t.string("project_name").notNullable();
        t.index(["project_name"], "perforce_rules_project_idx");
        t.string("universe_name").notNullable();
        t.index(["universe_name"], "perforce_rules_universe_idx");
        t.integer("position").unsigned().notNullable();
        t.integer("matching_perforce_id").unsigned().notNullable();
        t.foreign("matching_perforce_id")
            .references("id")
            .inTable("perforce_servers");
        t.enu("field_type", [
            "file_name",
            "function_name",
            "object_name",
            "attribute",
        ]).notNullable();
        t.string("field_name").notNullable();
        t.string("regex").notNullable();
        t.enu("action", ["match", "skip", "match_stop", "full_stop"])
            .notNullable()
            .defaultTo("match");
        t.timestamps(false, true);
    });
};

exports.down = function(knex) {
    return knex.schema.dropTable("perforce_rules");
};
