exports.up = function(knex) {
        return knex.schema.createTable("cache", function(t) {
                t.increments("id").unsigned().primary().defaultTo(1);
                t.timestamps(false, true);
                t.string("metadata");
                t.string("project_name").notNullable();
                t.string("universe_name").notNullable();
                t.string("ckey").notNullable().unique();
                t.string("ctype").notNullable();

                // https://www.sqlite.org/limits.html#max_length
                // sqlite's compile-time max-length for text or blob is 1 billion
                // 1 billion bytes = 1GB
                t.string("cvalue", 1000000000).notNullable();

                t.index(["project_name"]);
                t.index(["universe_name"]);
                t.index(["ckey"]);
                t.index(["ctype"]);
        });
};

exports.down = function(knex) {
        return knex.schema.dropTable("cache");
};
