"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRoleAllowed = void 0;
var roleMap = (_a = {},
    _a['none'] = 0,
    _a['guest'] = 1,
    _a['member'] = 2,
    _a['admin'] = 3,
    _a);
/**
 * Determines if the @actualRole matches @requiredRole
 * @param requiredRole List of specific roles or one single role, If the single role is applied
 *  the algorithm will check with the respect or hierarchy. Otherwise, the method checks
 *  if the role exists in the array of roles
 * @param actualRole Actual user role
 * @returns true if the actual role covers required role
 */
function isRoleAllowed(requiredRole, actualRole) {
    if (Array.isArray(requiredRole)) {
        return requiredRole.some(function (n) { return n === actualRole; });
    }
    if (!requiredRole) {
        throw new Error('Role has to be defined!');
    }
    return roleMap[actualRole] >= roleMap[requiredRole];
}
exports.isRoleAllowed = isRoleAllowed;
//# sourceMappingURL=backtraceRole.js.map